Update to GTK2 in order to install Firefox 1.5

Forum: Net
Topic: Update to GTK2 in order to install Firefox 1.5
started by: geoffrey_4js

Posted by geoffrey_4js on July 28 2006,13:58

I'm trying to install GTK2 and Firefox, but I can't find the MyDSL->Update_to_GTK2 X menu ! I've tried DSL 2.3, 2.4 and 3.0 live CD and also on a 2.3 hard disk install.

Thanks for your help.


Posted by roberts on July 28 2006,14:54
It is an extension. Look in the MyDSL repository GTK2 section.
Posted by geoffrey_4js on July 28 2006,16:06
Thanks, i've find it !
Posted by geoffrey_4js on July 31 2006,09:55
I've installed gtk2 and firefox 1.5 , but now, when i launch firefox 1.5, i get the UTF-8, Unicode Gdk WARNING (that's ok) and then the following errors before a FF crash :

(firefox-bin:1953): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(firefox-bin:1953): Pango-CRITICAL **: _pango_engine_shape_shape: assertion `PANGO_IS_FONT (font)' failed

Pango-ERROR **: file shape.c: line 75 (pango_shape): assertion failed: (glyphs->num_glyphs > 0)
/usr/local/firefox/run-mozilla.sh: line 424:  1953 Aborted                 "$prog" ${1+"$@"}

Posted by kerry on July 31 2006,12:14
right click>myDSL>update to gtk2
Posted by geoffrey_4js on July 31 2006,13:34
Oops, I hadn't seen the MyDSL line in the right-click menu !

Thanks, it works now.

Posted by geoffrey_4js on Aug. 01 2006,12:22
And is it possible to have Firefox working without doing MyDSL->Update to GTK2 ?

I mean i'm remastering DSL for an project in my company, and I need Firefox 1.5 instead of Firefox 1.0 (that doesn't work with one of our product).

Is is possible to do everything in command line (ie : just extarct a .dsl archive at / and create some symlinks) ? Or is it mandatory to do the MyDSL -> Update to gtk 2 ?

Powered by Ikonboard 3.1.2a
Ikonboard © 2001 Jarvis Entertainment Group, Inc.